Bug 209387 - Run two scims in the system
Run two scims in the system
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: scim-bridge (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: i18n
Depends On:
Blocks: 210272
  Show dependency treegraph
 
Reported: 2006-10-04 20:50 EDT by Jong Bae KO
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 22:07:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (6.67 KB, image/png)
2006-10-04 20:50 EDT, Jong Bae KO
no flags Details

  None (edit)
Description Jong Bae KO 2006-10-04 20:50:32 EDT
Description of problem:
two scims are running in the same time

Version-Release number of selected component (if applicable):
scim-1.4.4-35.fc6
gedit-2.15.9-1.fc6

How reproducible:
sometimes

Steps to Reproduce:
1. run gedit
2.
3.
  
Actual results:


Expected results:


Additional info:


[root@jko jko]# gedit

(gedit:29845): GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : None of the authentication protocols specified
are supported and host-based authentication failed.
Launching a SCIM daemon with Socket FrontEnd...
Loading simple Config module ...
Creating backend ...
Loading socket FrontEnd module ...
Starting SCIM as daemon ...
Comment 1 Jong Bae KO 2006-10-04 20:50:36 EDT
Created attachment 137788 [details]
screenshot
Comment 2 Jens Petersen 2006-10-05 00:43:03 EDT
I guess one scim session is for root and another for the desktop user?
Comment 3 Jong Bae KO 2006-10-05 01:15:08 EDT
Yes Jens

Is it ok to run two scim?

I just tested it again now.
sometimes scim doesn't work with root when I run gedit. :(
Comment 4 Jong Bae KO 2006-10-08 21:17:07 EDT
Hi Jens

I tested many times and It didn't show the same result.


TEST 1

Running two desktops
Desktop 1 : jko user
Desktop 2 : testuser user

1.running gedit by jko in Desktop 1
2.running gedit by testuser in Desktop 2

**Result**
gedit is working well in Desktop 1

**ERROR**
[testuser@jko ~]$ gedit
Another agent is running...
Failed to allocate the agent. Exitting...
Failed to invoking the agent: 연결이 거부됨
Cannot launch the agent
The messenger is now down
An IOException occurred at scim_bridge_client_imcontext_set_cursor_location ()
Another agent is running...
Failed to allocate the agent. Exitting...
Failed to invoking the agent: 연결이 거부됨
Cannot launch the agent
An IOException occurred at scim_bridge_client_imcontext_set_cursor_location ()
An IOException occurred at scim_bridge_client_imcontext_set_cursor_location ()



TEST 2

Running two desktops
Desktop 1 : jko user
Desktop 2 : test user

1.running gedit by jko in Desktop 1
2.running gedit by testuser in Desktop 2
3.running gedit by root in Desktop 1
4.running gedit by root in Desktop 2

**Result**
3 SCIM are running two in Desktop 1 and one in Desktop 2
crashed gedit.
#360792 in bugzilla.gnome.org(I think a gedit bug)



TEST 3

Running two desktops
Desktop 1 : jko user
Desktop 2 : test user

1.running gedit by jko in Desktop 1
2.running gedit by testuser in Desktop 2
3.running gedit by root in Desktop 1

**Result**
Only two scims(by jko and testuser) are running
SCIM deamon didn't run with gedit by root




I think SCIM daemon has some problem.

Comment 5 Jong Bae KO 2006-10-08 21:49:04 EDT
TEST 4

Running two desktops
Desktop 1 : jko user
Desktop 2 : test user

1.running gedit by jko in Desktop 1
2.running gedit by testuser in Desktop 2
3.running oowriter by root in Desktop 1
4.running gedit by root in Desktop 2

**Result**
4 SCIMs are running.
Comment 6 Lawrence Lim 2006-10-11 03:24:06 EDT
Same problem if u dont use scim-bridge??
Comment 7 Jens Petersen 2006-10-16 05:04:40 EDT
I haven't been able to reproduce any problems with multiple users of scim.
Which scim-bridge package did you test with?

(It would be good if the systray icons disappeared after the last app of a
non-desktop user closes.)
Comment 8 Jens Petersen 2006-10-16 21:30:53 EDT
(In reply to comment #3)
> Is it ok to run two scim?

Yes that is the expected behaviour.
scim is a user process and so one scim session will run per user:
hence you will see one scim icon per user in the panel notification area.
I guess not that many users will want to run scim as root: perhaps we
should consider disabling IM for root by default?

> I just tested it again now.
> sometimes scim doesn't work with root when I run gedit. :(

I don't know how to reproduce this.
Comment 9 Jens Petersen 2006-10-16 22:07:15 EDT
Test 1: works fine for me.

Test 2: I can reproduce gedit crashing when you try to start
a new gedit window as root on the second desktop: it would be better to test
with a different gtk/gnome app that runs separate multiple instances.

Test 3: are you running root as "su" or "su -" (login shell)?
For a root login shell GTK_IM_MODULE does not seem to be set by default.

Test 4 is as expected.

I think the scim-bridge problem you saw in Test 1 should already be
fixed in the current scim-bridge package.

Note You need to log in before you can comment on or make changes to this bug.